<template>
  <svg
    ref="iconRef"
    :fill="fill"
    class="icon"
    aria-hidden="true"
  >
    <use
      :href="'#icon-' + name"
      :stroke="stroke"
      :stroke-width="strokeWidth"
      :fill="fill"
    />
  </svg>
</template>

<script setup>
const iconRef = ref(null);

const props = defineProps({
  name: {
    type: String,
    required: true,
  },

  fill: {
    type: String,
    default: "",
  },

  stroke: {
    type: String,
    default: "",
  },

  strokeWidth: {
    type: String,
    default: "",
  },
});

const style = computed(() => ({
  "--width": `${props.width}px`,
  "--height": `${props.height}px`,
}));
</script>

<style scoped lang="scss">
.icon {
  display: inline-block;
  margin: 0;
  width: var(--width);
  height: var(--height);
}
</style>
